package org.jeecg.ctop.material.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KuaishouPromoterMapper {

    JSONObject getPromoterInfo(@Param("promoterId") Long promoterId);

    List<JSONObject> getFansCharacteristic(@Param("promoterId") Long promoterId);

    List<JSONObject> getPromoterShortVideosCommerceInfo(@Param("promoterId") Long promoterId, @Param("startInt") Integer startInt, @Param("endInt") Integer endInt);

    List<JSONObject> getPromoterLiveCommerceInfo(@Param("promoterId") Long promoterId, @Param("startInt") Integer startInt, @Param("endInt") Integer endInt);

    JSONObject getPromoterVideoInfo(Long promoterId);
}
